{ scope, ... }:
scope "boot" {
  kernelParams = [
    "mitigations=off"
    "quiet"
    "loglevel=3"
    "systemd.show_status=auto"
    "rd.udev.log_level=3"
    "vt.global_cursor_default=0"
  ];
  initrd.availableKernelModules = [
    "xhci_pci"
    "nvme"
    "usb_storage"
    "sd_mod"
    "rtsx_pci_sdmmc"
  ];
  initrd.kernelModules = [ "dm-snapshot" ];
  kernelModules = [
    "iwlwifi"
    "kvm-intel"
  ];
  # loader.systemd-boot = {
  #   enable = true;
  #   consoleMode = "max";
  #   configurationLimit = 5;
  # };
  loader.efi.canTouchEfiVariables = true;
}
